import 'package:get/get.dart';
import 'package:vitalapp/architecture/defines.dart';

class SettingCenterState {
  final RxBool _updating = RxBool(false);
  final RxDouble _progress = RxDouble(0.0);
  final RxString _version = ''.obs;
  final RxString _currentVersion = ''.obs;
  final RxString _deviceId = ''.obs;

  /// 设备ID
  String get deviceId => _deviceId.value;
  set deviceId(String val) => _deviceId.updateValue(val);

  /// 是否正在更新
  bool get updating => _updating.value;
  set updating(bool val) => _updating.value = val;

  /// 进度值
  double get progress => _progress.value;
  set progress(double val) => _progress.value = val;

  /// 最新版本号
  String get version => _version.value;
  set version(String val) => _version.value = val;

  /// 当前版本号
  String get currentVersion => _currentVersion.value;
  set currentVersion(String val) => _currentVersion.value = val;
}
